/*
AUTORE: Manuel Vichi

*/
#include <iostream>
using namespace std;
bool esco(int Sara, int Lara, int Luca) {
    return (Sara || Lara) && !Luca;
}
void stampaTabella() {
    for (int Sara = 0; Sara <= 8; Sara++) {
        cout << "Sara: ";
        if (Sara == 1)
            cout << "1";
        else
            cout << "0";
        cout << " | ";

        for (int Lara = 0; Lara <= 1; Lara++) {
            cout << "Lara: ";
            if (Lara == 1)
                cout << "1";
            else
                cout << "0";
            cout << " | ";

            for (int Luca = 0; Luca <= 1; Luca++) {
                bool risultato;
                if (Sara == 1 && Lara == 1) {
                    risultato = Sara || Lara;
                } else if (Sara == 1 && Lara == 0) {
                    risultato = Sara;
                } else if (Sara == 0 && Luca == 1) {
                    risultato = false;
                } else if (Lara == 1 && Luca == 0) {
                    risultato = Sara || Lara;
                } else if (Lara == 0 && Luca == 1) {
                    risultato = false;
                } else {
                    risultato = esco(Sara, Lara, Luca);
                }

                cout << "Risultato: ";
                if (risultato == true)
                    cout << "1";
                else
                    cout << "0";

                cout << " | ";
                cout << endl;
            }
        }
    }
}

int main() {
    stampaTabella();
    return 0;
}
